Attribute a deposit as spam

Permissions required: Deposit Attribution.

Attribute a deposit as spam.

Only attributions in PENDING status can be attributed.

Once the attribution is successfully performed the attribution status moves from PENDING to ATTRIBUTED.

For any spam attribution performed via API, the attributionType will automatically be set to SPAM and the deposit's funds will cease to be available.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9A-Fa-f]+$

The transactionId where the transactionType is DEPOSIT.

Body Params
Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json